<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <TextView
        android:id="@+id/location_marker_tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_location_marker_bubble"
        android:gravity="center"
        android:paddingHorizontal="12dp"
        android:textColor="#FF000000"
        android:textSize="10sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="12345678910" />

    <Space
        app:layout_constraintEnd_toEndOf="@+id/location_marker_iv_bg"
        app:layout_constraintStart_toStartOf="@+id/location_marker_iv_bg"
        app:layout_constraintTop_toTopOf="@+id/location_marker_iv_bg"
        android:id="@+id/space_bottom"
        android:layout_width="wrap_content"
        android:layout_height="44dp" />


    <View
        android:id="@+id/v_bottom"
        app:layout_constraintTop_toBottomOf="@+id/space_bottom"
        tools:background="@drawable/icon_marker_selected_bottom_circle"
        app:layout_constraintEnd_toEndOf="@+id/location_marker_iv_bg"
        app:layout_constraintStart_toStartOf="@+id/location_marker_iv_bg"
        android:layout_width="11dp"
        android:layout_height="11dp" />

    <ImageView
        android:id="@+id/location_marker_iv_bg"
        android:layout_width="44dp"
        app:layout_constraintDimensionRatio="132:150"
        android:layout_height="0dp"
        app:layout_constraintEnd_toEndOf="@+id/location_marker_tv_name"
        app:layout_constraintStart_toStartOf="@+id/location_marker_tv_name"
        app:layout_constraintTop_toBottomOf="@+id/location_marker_tv_name"
        tools:src="@drawable/icon_location_marker_selected" />


    <ImageView
        android:id="@+id/iv_marker_avatar"
        app:layout_constraintVertical_bias="0.25"
        app:layout_constraintBottom_toBottomOf="@+id/location_marker_iv_bg"
        app:layout_constraintTop_toTopOf="@+id/location_marker_iv_bg"
        app:layout_constraintEnd_toEndOf="@+id/location_marker_iv_bg"
        app:layout_constraintStart_toStartOf="@+id/location_marker_iv_bg"
        tools:src="@drawable/icon_default_friend_avatar"
        android:layout_width="38dp"
        android:layout_height="38dp" />


</androidx.constraintlayout.widget.ConstraintLayout>